%global pkgname Text-Xslate

Name:           perl-%{pkgname}
Version:        3.3.4
Release:        1%{?dist}
Summary:        Scalable template engine
License:        GPL+ or Artistic
URL:            http://xslate.org/
Source0:        http://www.cpan.org/authors/id/G/GF/GFUJI/%{pkgname}-%{version}.tar.gz
# Do not run author tests
Patch0:         Text-Xslate-3.3.4-Do-not-run-author-tests.patch
BuildRequires:  coreutils
BuildRequires:  findutils
BuildRequires:  make
BuildRequires:  perl
BuildRequires:  perl(inc::Module::Install) >= 1.06
BuildRequires:  perl(Module::Install::Metadata)
BuildRequires:  perl(Module::Install::Scripts)
BuildRequires:  perl(Module::Install::TestTarget) >= 0.19
BuildRequires:  perl(Module::Install::WriteAll)
BuildRequires:  perl(Module::Install::XSUtil) >= 0.45
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
BuildRequires:  sed
# Run-time:
BuildRequires:  perl(B)
BuildRequires:  perl(Carp)
BuildRequires:  perl(constant)
BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(Data::MessagePack) >= 0.38
BuildRequires:  perl(Digest::MD5)
BuildRequires:  perl(Encode)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(File::Basename)
BuildRequires:  perl(File::Path)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(Getopt::Long)
BuildRequires:  perl(List::Util)
BuildRequires:  perl(Mouse) >= 0.61
BuildRequires:  perl(Mouse::Role)
BuildRequires:  perl(Mouse::Util::TypeConstraints)
BuildRequires:  perl(overload)
BuildRequires:  perl(parent) >= 0.221
BuildRequires:  perl(Scalar::Util) >= 1.14
BuildRequires:  perl(Tie::Hash)
BuildRequires:  perl(XSLoader) >= 0.02
# Tests:
BuildRequires:  perl(base)
BuildRequires:  perl(Config)
BuildRequires:  perl(Cwd)
BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(Data::Section::Simple)
BuildRequires:  perl(Devel::StackTrace) >= 1.30
BuildRequires:  perl(Fatal)
BuildRequires:  perl(Fcntl)
BuildRequires:  perl(File::Copy)
BuildRequires:  perl(File::Copy::Recursive)
BuildRequires:  perl(File::Find)
BuildRequires:  perl(File::stat)
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(FindBin)
BuildRequires:  perl(HTTP::Request)
BuildRequires:  perl(if)
BuildRequires:  perl(lib)
BuildRequires:  perl(Plack) >= 0.99
BuildRequires:  perl(Plack::Builder)
BuildRequires:  perl(Plack::Response)
BuildRequires:  perl(Plack::Test)
BuildRequires:  perl(SelectSaver)
# Template not used
BuildRequires:  perl(Template::Plugin::Math)
BuildRequires:  perl(Template::Plugin::String)
BuildRequires:  perl(Test::LeakTrace)
BuildRequires:  perl(Test::More) >= 0.88
BuildRequires:  perl(Test::Requires)
BuildRequires:  perl(threads)
BuildRequires:  perl(Tie::Array)
BuildRequires:  perl(Time::HiRes)
BuildRequires:  perl(Time::localtime)
BuildRequires:  perl(utf8)
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:       perl(B)
Requires:       perl(Data::Dumper)
Requires:       perl(Data::MessagePack) >= 0.38
Requires:       perl(Digest::MD5)
Requires:       perl(Encode)
Requires:       perl(File::Path)
Requires:       perl(Mouse) >= 0.61
Requires:       perl(parent) >= 0.221
Requires:       perl(Scalar::Util) >= 1.14
Requires:       perl(XSLoader) >= 0.02

# Filter under-specified Symbols
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\((Data::MessagePack|Mouse|parent|Scalar::Util)\\)$
%global __provides_exclude %{?__provides_exclude:%__provides_exclude|}^perl\\(Text::Xslate\\)$

%description
Xslate is a template engine, tuned for persistent applications, safe as an
HTML generator, and with rich features.

%prep
%setup -qn %{pkgname}-%{version}
%patch0 -p1
# Remove bundled modules
rm -rf ./inc
sed -i -e '/^inc\//d' MANIFEST

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
find %{buildroot} -type f -name '*.bs' -size 0 -delete
%{_fixperms} %{buildroot}/*

%check
make test

%files
%doc Changes example HACKING README.md
%{_bindir}/xslate
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Text*
%{_mandir}/man1/xslate.1*
%{_mandir}/man3/*

%changelog
* Fri Jun 26 2015 Petr Pisar <ppisar@redhat.com> - 3.3.4-1
- 3.3.4 bump

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2.5-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Jun 08 2015 Jitka Plesnikova <jplesnik@redhat.com> - 3.2.5-5
- Perl 5.22 rebuild

* Tue Dec 02 2014 Petr Pisar <ppisar@redhat.com> - 3.2.5-4
- Build-require Devel::PPPort (bug #1169661)

* Tue Sep 02 2014 Jitka Plesnikova <jplesnik@redhat.com> - 3.2.5-3
- Perl 5.20 rebuild

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Wed Jul 16 2014 Christopher Meng <rpm@cicku.me> - 3.2.5-1
- Update to 3.2.5

* Tue Jul 01 2014 Christopher Meng <rpm@cicku.me> - 3.2.4-1
- Update to 3.2.4

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.1.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Feb 20 2014 Christopher Meng <rpm@cicku.me> - 3.1.2-2
- Satisfy the test section.

* Thu Feb 20 2014 Christopher Meng <rpm@cicku.me> - 3.1.2-1
- Update to 3.1.2

* Fri Jan 24 2014 Christopher Meng <rpm@cicku.me> - 3.1.1-1
- Update to 3.1.1
- Remove unneeded requires.

* Tue Nov 26 2013 Christopher Meng <rpm@cicku.me> - 3.1.0-1
- Update to 3.1.0

* Tue Jul 23 2013 Christopher Meng <rpm@cicku.me> - 2.0009-1
- New version.
- BRs/Rs fix.

* Mon Jul 15 2013 Christopher Meng <rpm@cicku.me> - 2.0007-2
- SPEC cleanup.

* Fri Jun 21 2013 Christopher Meng <rpm@cicku.me> - 2.0007-1
- Initial Package.
